org.codehaus.groovy.syntax

## Class ReadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.groovy.GroovyException
      - - org.codehaus.groovy.syntax.ReadException

All Implemented Interfaces:
  Serializable, GroovyExceptionInterface

    public class ReadException
    extends GroovyException

Encapsulates non-specific i/o exceptions.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReadException(IOException cause)`
`ReadException(String message, IOException cause)`

### Method Summary

Methods
`IOException` `getIOCause()`
`String` `getMessage()`
`String` `toString()`

### Methods inherited from class org.codehaus.groovy.GroovyException

`isFatal, setFatal`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReadException

    public ReadException(IOException cause)

#### ReadException

    public ReadException(String message,
                 IOException cause)

### Method Detail

#### getIOCause

    public IOException getIOCause()

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `Throwable`